Package org.apache.wiki.render

# Class WikiRenderer

java.lang.Object
org.apache.wiki.render.WikiRenderer

Direct Known Subclasses:
  `CleanTextRenderer`, `CreoleRenderer`, `WysiwygEditingRenderer`, `XHTMLRenderer`

public abstract class WikiRenderer extends Object
Provides an interface to the basic rendering engine. This class is an abstract class instead of an interface because it is expected that rendering capabilities are increased at some point, and I would hate if renderers broke. This class allows some sane defaults to be implemented.

Since:
  2.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LINKS_SOURCE`
`static final String`
`LINKS_TRANSLATION`
`protected final Context`
`m_context`
`protected final WikiDocument`
`m_document`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WikiRenderer(Context context, WikiDocument doc)`
Create a WikiRenderer.

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getString()`
Renders and returns the end result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_context

protected final Context m_context

### m_document

protected final WikiDocument m_document

### LINKS_TRANSLATION

public static final String LINKS_TRANSLATION

See Also:
  - Constant Field Values

### LINKS_SOURCE

public static final String LINKS_SOURCE

See Also:
  - Constant Field Values

## Constructor Details

### WikiRenderer

protected WikiRenderer(Context context, WikiDocument doc)
Create a WikiRenderer.

Parameters:
  `context` - A WikiContext in which the rendering will take place.
  `doc` - The WikiDocument which shall be rendered.

## Method Details

### getString

public abstract String getString() throws IOException
Renders and returns the end result.

Returns:
  A rendered string.
Throws:
  `IOException` - If rendering fails.